For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
      • GETFetch information about yourself
      • GETList users in your organization
      • GETList user availability statuses
      • GETFetch a single user
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
Users & OrganizationsUsers

List user availability statuses

||View as Markdown|
GET
https://api.close.com/api/v1/user/availability/
GET
/api/v1/user/availability/
$curl https://api.close.com/api/v1/user/availability/ \
> -u "<CLOSE_API_KEY>:"
1{
2 "data": [
3 {
4 "availability": [
5 {
6 "active_calls": [],
7 "status": "offline",
8 "type": "mobile"
9 },
10 {
11 "active_calls": [
12 {
13 "id": "acti_ZZfoNAATNVsvUG2eoozjUiG08KGO46uDa3aTSTChkDI",
14 "lead": {
15 "display_name": "Wayne Enterprises",
16 "id": "lead_8gzAE1a3yWyFUIlNzIGZbwWP7QaqlVixCq31uwqtwHu"
17 },
18 "method": "regular"
19 }
20 ],
21 "status": "online",
22 "type": "native"
23 },
24 {
25 "active_calls": [],
26 "status": "offline",
27 "type": "web"
28 }
29 ],
30 "user_id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
31 },
32 {
33 "availability": [
34 {
35 "active_calls": [],
36 "status": "offline",
37 "type": "mobile"
38 },
39 {
40 "active_calls": [],
41 "status": "offline",
42 "type": "native"
43 },
44 {
45 "active_calls": [],
46 "status": "offline",
47 "type": "web"
48 }
49 ],
50 "user_id": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk"
51 },
52 {
53 "availability": [
54 {
55 "active_calls": [],
56 "status": "online",
57 "type": "mobile"
58 },
59 {
60 "active_calls": [],
61 "status": "offline",
62 "type": "native"
63 },
64 {
65 "active_calls": [],
66 "status": "offline",
67 "type": "web"
68 }
69 ],
70 "user_id": "user_SJMF1fEyZGdtl2RPzCm9zVQ7qhd33VajdGDREhbsxjF"
71 },
72 {
73 "availability": [
74 {
75 "active_calls": [],
76 "status": "offline",
77 "type": "mobile"
78 },
79 {
80 "active_calls": [],
81 "status": "offline",
82 "type": "native"
83 },
84 {
85 "active_calls": [],
86 "status": "online",
87 "type": "web"
88 }
89 ],
90 "user_id": "user_OWiN4rEbBR04K2AKXe3jq5j1JWQqmTguuuZa1dG7qQr"
91 }
92 ]
93}

List user availability statuses for all users in an organization.

The active_calls field is an array of call metadata for calls that the user is currently participating in.

Was this page helpful?
Previous

List users in your organization

Next

Fetch a single user

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

organization_idstringOptional

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error